Thomas Gummerer [off-list ref] writes:
quoted hunk
t1501-worktree.sh does not copy the shared index in the "relative
$GIT_WORK_TREE and git subprocesses" test, which makes the test fail
when GIT_TEST_SPLIT_INDEX is set. Copy the shared index as well in
order to fix this.
Signed-off-by: Thomas Gummerer <redacted>
---
This applies on top of nd/multiple-work-trees. Sorry for not catching it
earlier, but I haven't tried to run the test-suite for the next branch
then, where this appears.
t/t1501-worktree.sh | 1 +
1 file changed, 1 insertion(+)
diff --git a/t/t1501-worktree.sh b/t/t1501-worktree.sh
index 4df7a2f..ce5c654 100755
--- a/t/t1501-worktree.sh
+++ b/t/t1501-worktree.sh
@@ -350,6 +350,7 @@ test_expect_success 'Multi-worktree setup' '
mkdir work &&
mkdir -p repo.git/repos/foo &&
cp repo.git/HEAD repo.git/index repo.git/repos/foo &&
+ ( cp repo.git/sharedindex.* repo.git/repos/foo 2>/dev/null || : ) &&
Is this a good place to use "test-might-fail", e.g.
test_might_fail cp repo.git/sharedindex.* repo.git/repos/foo &&
or something?
sane_unset GIT_DIR GIT_CONFIG GIT_WORK_TREE
'